<?php
/**
 * Description of Ciclo
 *
 * @author carlos
 */

class EstacionEntity Extends EstacionRepository{
    private $options = array(
        'nombre'=>null,
        'token'=>null,
        'tipo'=>null,
        'sucursal'=>null,
        'habilitadaParaAbrir'=>null,
        'creado_fecha'=>null,
        'creado_por'=>null,
        'modificaciones'=>null,
        'status'=>null
    );
    
    public function setOptions($data){
      foreach ($this->options as $option => $value){
          if(isset($data[$option])){
            $this->options[$option] = $data[$option];
          }
      }
    }
  
    public function getOptions(){
        return $this->options;
    }
    
    public function getTable(){
        return $this->table;
    }
    
   public function pagination($pag){
      $paginacion = new Paginacion($pag);
      $paginacion->setQueryString("SELECT * FROM estaciones");
      $paginacion->setLayout(new Tradicional(2));
      
      return $paginacion;
  }

}
